Page MenuHomePhabricator

Test for error conditions in the sideloading-only version of the Offline Library
Closed, ResolvedPublic

Description

QA task

Test the following user flows in the sideloading-only version of the Offline Library.

A. Enabling and viewing the Offline Library
  1. Open Wikipedia app and check that there is initially *no* reference to the Offline Library in the Explore feed or in the overflow menu.
  2. Go to the app's Settings and turn on the "Offline Library" feature, giving permissions for the app to view files in the device.
  3. Return to the Explore feed where the overflow menu should now have the "Offline Library" menu option visible.
  4. Tap on the Offline Library menu item and check that a read-only version of the 'Offline Library' appears.
  5. Download a few ZIM files from Kiwix to the device (this is done outside of the Wikipedia app)
  6. Check that the packs are shown in the Offline Library.
B. Search and reading from the Offline Library

// Pre-requisites: Offline Library is enabled and has at least one ZIM file downloaded to the device.

  1. Go into airplane mode.
  2. Check that the Explore feed shows a card that enables users to navigate to their Offline Library
  3. Navigate to the Offline Library, and choose to view the details of an article pack
  4. Tap to view the "Main page" of that article pack. Confirm this opens correctly.
  5. Tap on some links shown in the "Main page" and confirm the articles open correctly.
  6. Tap on "Search" and enter a search for an article known to be on the ZIM file (note that below the search input there should be a message advising that the user is searching within their offline library files)
  7. Open the article – a toast message should appear advising that the user is reading an article from their Offline Library.
  8. Scroll to the end of the article - the footer should also contain a message advising that the user is reading an article from their Offline Library.
C. Share and delete files from the Offline Library
  1. Go to the Offline Library screen
  2. Tap on the overflow of an article pack and choose to "share" it from the menu options. Confirm sharing works.
  3. Tap on the overflow of the article pack again and choose to delete it from the overflow menu options. Confirm that the article pack is deleted and the amount of storage space is reflected in the Offline Library screen.
  4. Tap on another article pack to view its details screen
  5. Tap on the action to "Delete" the pack from this screen. Confirm that the article pack is deleted and the amount of storage space is reflected in the Offline Library screen.

Event Timeline

RHo created this task.Oct 26 2017, 2:28 PM
RHo updated the task description. (Show Details)Oct 27 2017, 6:21 PM
ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.224-alpha-2018-01-10. Tested this a bunch on the pixel and nexus 4. Seems to be working well.

Note the above tests work fine, but disabling the Offline Library does not fully disable it if users have article packs downloaded T180977.

Dbrant closed this task as Resolved.Feb 1 2018, 6:32 PM
Dbrant claimed this task.